Plugin

Developer
Supported

Nearby Entries

ExpressionEngine 1.x, ExpressionEngine 2

Back to this add-on's main page
View Other Add-ons From Adam Khan

     

You must be logged in to post.

Nearby Entries causing errors.

Support Request

PP
PP

Hi,

I bought Nearby Entries today. It’s a great plugin and does a great job. Unfortunately it does a little bit more :(
Somehow I cannot open some entries. It doesn’t matter if I want to open these pages via Nearby Entries or some other link. I am always getting this error for these entries.

The query you submitted is not valid.

Filenamethird_party/nearby_entries/pi.nearby_entries.php

Line Number
101 

Also the normal pagination of my entries list is broken now:

A PHP Error was encountered
Severity
Notice
Message
Undefined variablethis_weblog_id
Filename
nearby_entries/pi.nearby_entries.php
Line Number
396

A PHP Error was encountered
Severity
Notice
Message
Undefined offset1
Filename
nearby_entries/pi.nearby_entries.php
Line Number
429

A PHP Error was encountered
Severity
Notice
Message
Undefined variablethis_weblog_id
Filename
nearby_entries/pi.nearby_entries.php
Line Number
396 

I am not using Nearby Entries on those links or templates. Still I am getting errors in the Nearby Entries file.
Am I missing something?

I am on EE 2.4.0.

Thanks

Adam Khan
# 1
Developer
Adam Khan

Philip, I’m looking into it.

Update 2012 June 21: Philip and I continued this thread via email and his patience and faith while I debugged helped improve Nearby Entries a lot. Thanks, Philip!